# umbrella-core

This is the repository for the common code for all PCM javascript applications


####Change Logs
#####v. 12.3.1
- (fix) - update the use of react hooks
#####v. 12.3.0
- (feat) Added the useListAction, and updated the useList to be able to pass the options of listActions, so we can just use a single query that includes the list actions operation
- 
#####v. 12.2.1
- (dix) Fix the useAppSettings to handle empty array of appSettingKeys
- 
#####v. 12.2.0
- (feat) Added the useFetch hook, A common hook for fetch URL, it wraps the Utils.fetch but included the loading and error states

#####v. 12.1.4
- (bump) bump the version for pcmli.umbrella.-uni-core@13.4.1

#####v. 12.1.3
- (fix) updated the useDocument to be able to retrieve the value from non-array result of data too


#####v. 12.1.2
- (fix) fixes the behaivior of network policy to use the `nextFetchPolicy: "cache-first"` to follow the same behaivor in apollo v2.6

#####v. 12.1.0
- (break) Uses ApolloClient v3, remove all dependency to v2.6

#####v. 11.10.0
 - (feat) Added the useReportUrl to generate the PDF report urls
 
#####v. 11.9.0
 - (feat) Added the logout function for useUser

#####v. 11.11.0
- (feat) added the useAppSetting(s) hook for retrieval of single or multiple settings 

#####v. 11.8.2
 - (feat) Set the default fetch policy as cache-and-network
 
#####v. 11.7.0
 - (feat) Added the useResetPassword hook
 
#####v. 11.6.0
 - (bump) Update the umbrella.uni-core package
 
#####v. 11.5.0
 - (feat) Searchable withMongoSearch by type

#####v. 11.4.1
 - (fix) Remove the dependency for AppError, get the value from uni-core project
 
#####v. 11.4.0
 - (feat) Added the  "@storybook/addon-actions": "^3.4.4", as dependency
 
#####v. 11.3.7
 - (feat) added the timezone on useUser default query
 
#####v. 11.2.7
 - (fix) the useDocument/useList should be able to merge the queryOptions from the default query options
 
#####v. 11.2.7
 - (fix) the useDocument should not throw error even there is no _id specified, we can use options.queryOptions.skip for this scenario
 
#####v. 11.2.6
 - (fix) the useMutation does not need entity so we can remove it
 
#####v. 11.2.4
 - (fix) the useList variables should not parse the limit and skip, it will be done on buildQueryVariables from uni-core
 
#####v. 11.2.3
 - (fix) the useList variables should always be consistent, so we use the buildQueryVariables from uni-core
 
#####v. 11.2.2
 - (fix) setting the limit to zero will query all records
 
#####v. 11.2.1
 - (fix) fix the useUser to get the correct entity as allUser
 
#####v. 11.2.0
 - (feat) update the useMutation to use the filter from execute function
 
#####v. 11.1.0
 - (feat) Added more hooks, useDocument, useMutation, useRole, useUser

#####v. 11.0.2
 - (fix) Remove the testdouble dependency because it wont work on react native
  
#####v. 11.0.1
 - (feat) Add the react-hooks foundation
 - (feat) Add the useList

#####v. 10.1.1
 - (feat) Able to accept permission value for future and backward compatibility
