"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withProvider = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _react = _interopRequireDefault(require("react"));

var _reduxForm = require("redux-form");

var _redux = require("redux");

var _reactRedux = require("react-redux");

var _wrapDisplayName = _interopRequireDefault(require("recompose/wrapDisplayName"));

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = (0, _getPrototypeOf2["default"])(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = (0, _getPrototypeOf2["default"])(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return (0, _possibleConstructorReturn2["default"])(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var withProvider = function withProvider() {
  var store = (0, _redux.createStore)((0, _redux.combineReducers)({
    form: _reduxForm.reducer
  }));
  return function (WrappedComponent) {
    var With = /*#__PURE__*/function (_React$Component) {
      (0, _inherits2["default"])(With, _React$Component);

      var _super = _createSuper(With);

      function With() {
        (0, _classCallCheck2["default"])(this, With);
        return _super.apply(this, arguments);
      }

      (0, _createClass2["default"])(With, [{
        key: "render",
        value: function render() {
          return /*#__PURE__*/_react["default"].createElement(_reactRedux.Provider, {
            store: store
          }, /*#__PURE__*/_react["default"].createElement(WrappedComponent, this.props));
        }
      }]);
      return With;
    }(_react["default"].Component);

    With.displayName = (0, _wrapDisplayName["default"])(WrappedComponent, 'withProvider');
    return With;
  };
};

exports.withProvider = withProvider;
//# sourceMappingURL=withProvider.js.map