"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useResetPassword = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _useMutation3 = require("../useMutation");

var _graphql = require("./graphql");

var useResetPassword = function useResetPassword() {
  var _useMutation = (0, _useMutation3.useMutation)({
    query: _graphql.resetPasswordQuery,
    entity: 'resetPassword'
  }),
      _useMutation2 = (0, _slicedToArray2["default"])(_useMutation, 3),
      resetPassword = _useMutation2[0],
      _useMutation2$ = _useMutation2[2],
      loading = _useMutation2$.loading,
      error = _useMutation2$.error;

  var executeIt = function executeIt(_ref) {
    var _id = _ref._id;
    return resetPassword({
      _id: _id
    });
  };

  return {
    executeIt: executeIt,
    loading: loading,
    error: error
  };
};

exports.useResetPassword = useResetPassword;
//# sourceMappingURL=index.js.map