"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withContextConsumer = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _react = _interopRequireDefault(require("react"));

var _recompose = require("recompose");

var _pcmliUmbrella = require("pcmli.umbrella.uni-core");

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = (0, _getPrototypeOf2["default"])(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = (0, _getPrototypeOf2["default"])(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return (0, _possibleConstructorReturn2["default"])(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var withContextConsumer = function withContextConsumer() {
  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
      name = _ref.name,
      Consumer = _ref.Consumer;

  _pcmliUmbrella.Utils.requiredCheck(Consumer, 'Consumer');

  name = name || 'consumer';
  return function (WrappedComponent) {
    var With = /*#__PURE__*/function (_React$Component) {
      (0, _inherits2["default"])(With, _React$Component);

      var _super = _createSuper(With);

      function With() {
        (0, _classCallCheck2["default"])(this, With);
        return _super.apply(this, arguments);
      }

      (0, _createClass2["default"])(With, [{
        key: "render",
        value: function render() {
          var _this = this;

          return /*#__PURE__*/_react["default"].createElement(Consumer, null, function (context) {
            var fieldName = (0, _defineProperty2["default"])({}, name, context);
            return /*#__PURE__*/_react["default"].createElement(WrappedComponent, (0, _extends2["default"])({}, fieldName, _this.props));
          });
        }
      }]);
      return With;
    }(_react["default"].Component);

    With.displayName = (0, _recompose.wrapDisplayName)(WrappedComponent, 'withContextConsumer');
    return With;
  };
};

exports.withContextConsumer = withContextConsumer;
//# sourceMappingURL=index.js.map