"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Helper = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _pcmliUmbrella = require("pcmli.umbrella.uni-core");

var Helper = function Helper(_ref) {
  var _this = this;

  var props = _ref.props,
      onSetState = _ref.onSetState;
  (0, _classCallCheck2["default"])(this, Helper);
  (0, _defineProperty2["default"])(this, "onFetch", /*#__PURE__*/(0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee() {
    var args,
        _this$props$fetchData,
        fetchDataConfig,
        url,
        options,
        onResponse,
        data,
        _args = arguments;

    return _regenerator["default"].wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            args = _args.length > 0 && _args[0] !== undefined ? _args[0] : {};
            _context.prev = 1;

            _this.setState({
              loading: true
            });

            _this$props$fetchData = _this.props.fetchDataConfig, fetchDataConfig = _this$props$fetchData === void 0 ? {} : _this$props$fetchData;
            url = args.url || fetchDataConfig.url;
            options = args.options || fetchDataConfig.options;
            onResponse = args.onResponse || fetchDataConfig.onResponse; //fetch the data

            _context.next = 9;
            return _this.fetch(url, options, {
              handleResponse: onResponse
            });

          case 9:
            data = _context.sent;

            //set the value of fetchData
            _this.setState({
              data: data,
              loading: false
            });

            _context.next = 16;
            break;

          case 13:
            _context.prev = 13;
            _context.t0 = _context["catch"](1);

            _this.setState({
              error: _context.t0,
              loading: false
            });

          case 16:
          case "end":
            return _context.stop();
        }
      }
    }, _callee, null, [[1, 13]]);
  })));
  this.props = props;
  this.setState = onSetState;
  this.fetch = _pcmliUmbrella.Utils.fetch;
};

exports.Helper = Helper;
//# sourceMappingURL=helper.js.map