"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withFetchData = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _recompose = require("recompose");

var _lodash = _interopRequireDefault(require("lodash"));

var _helper = require("./helper");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2["default"])(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = (0, _getPrototypeOf2["default"])(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = (0, _getPrototypeOf2["default"])(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return (0, _possibleConstructorReturn2["default"])(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var withFetchData = function withFetchData() {
  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
      _ref$runOnMount = _ref.runOnMount,
      runOnMount = _ref$runOnMount === void 0 ? true : _ref$runOnMount,
      rest = (0, _objectWithoutProperties2["default"])(_ref, ["runOnMount"]);

  return function (WrappedComponent) {
    var With = /*#__PURE__*/function (_React$Component) {
      (0, _inherits2["default"])(With, _React$Component);

      var _super = _createSuper(With);

      function With(props) {
        var _this;

        (0, _classCallCheck2["default"])(this, With);
        _this = _super.call(this, props);
        (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "state", {
          loading: false,
          data: null,
          error: null
        });
        (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "_isMounted", false);
        (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "onSetState", function (args) {
          if (_this._isMounted) _this.setState(args);
        });
        (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "onFetch", /*#__PURE__*/(0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee() {
          return _regenerator["default"].wrap(function _callee$(_context) {
            while (1) {
              switch (_context.prev = _context.next) {
                case 0:
                  _this.helper.props = _this.props;
                  _context.next = 3;
                  return _this.helper.onFetch(rest);

                case 3:
                case "end":
                  return _context.stop();
              }
            }
          }, _callee);
        })));
        _this.helper = new _helper.Helper(_objectSpread(_objectSpread({}, (0, _assertThisInitialized2["default"])(_this)), {}, {
          onSetState: _this.onSetState
        }));
        return _this;
      }

      (0, _createClass2["default"])(With, [{
        key: "componentDidMount",
        value: function () {
          var _componentDidMount = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee2() {
            return _regenerator["default"].wrap(function _callee2$(_context2) {
              while (1) {
                switch (_context2.prev = _context2.next) {
                  case 0:
                    this._isMounted = true;

                    if (!runOnMount) {
                      _context2.next = 4;
                      break;
                    }

                    _context2.next = 4;
                    return this.onFetch();

                  case 4:
                  case "end":
                    return _context2.stop();
                }
              }
            }, _callee2, this);
          }));

          function componentDidMount() {
            return _componentDidMount.apply(this, arguments);
          }

          return componentDidMount;
        }()
      }, {
        key: "componentWillUnmount",
        value: function componentWillUnmount() {
          this._isMounted = false;
        }
      }, {
        key: "componentDidUpdate",
        value: function () {
          var _componentDidUpdate = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee3(prevProps, prevState, snapshot) {
            return _regenerator["default"].wrap(function _callee3$(_context3) {
              while (1) {
                switch (_context3.prev = _context3.next) {
                  case 0:
                    if (!(!_lodash["default"].isEqual(prevProps.fetchDataConfig, this.props.fetchDataConfig) && runOnMount)) {
                      _context3.next = 3;
                      break;
                    }

                    _context3.next = 3;
                    return this.onFetch();

                  case 3:
                  case "end":
                    return _context3.stop();
                }
              }
            }, _callee3, this);
          }));

          function componentDidUpdate(_x, _x2, _x3) {
            return _componentDidUpdate.apply(this, arguments);
          }

          return componentDidUpdate;
        }()
      }, {
        key: "render",
        value: function render() {
          var fetchData = _objectSpread(_objectSpread({}, this.state), {}, {
            onFetch: this.onFetch
          });

          return /*#__PURE__*/_react["default"].createElement(WrappedComponent, (0, _extends2["default"])({
            fetchData: fetchData
          }, this.props));
        }
      }]);
      return With;
    }(_react["default"].Component);

    With.displayName = (0, _recompose.wrapDisplayName)(WrappedComponent, 'withFetchData');
    return With;
  };
};

exports.withFetchData = withFetchData;
//# sourceMappingURL=index.js.map