"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withServiceData = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _pcmliUmbrella = require("pcmli.umbrella.uni-core");

var _recompose = require("recompose");

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = (0, _getPrototypeOf2["default"])(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = (0, _getPrototypeOf2["default"])(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return (0, _possibleConstructorReturn2["default"])(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

//TODO: Refactor this to the format just like the recompose
var withServiceData = function withServiceData(WrappedComponent, asyncService, objectName) {
  var With = /*#__PURE__*/function (_React$Component) {
    (0, _inherits2["default"])(With, _React$Component);

    var _super = _createSuper(With);

    function With() {
      var _this;

      (0, _classCallCheck2["default"])(this, With);

      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      _this = _super.call.apply(_super, [this].concat(args));
      (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "state", {
        loading: false,
        serviceData: null
      });
      (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "_onRefresh", function () {
        _this.setState({
          loading: true
        }); //pass the instance to the callee


        asyncService((0, _assertThisInitialized2["default"])(_this)).then(function (serviceData) {
          _this.setState({
            serviceData: serviceData,
            loading: false
          });
        })["catch"](function () {
          _this.setState({
            loading: false
          });
        });
      });
      return _this;
    }

    (0, _createClass2["default"])(With, [{
      key: "componentWillMount",
      value: function componentWillMount() {
        this._onRefresh();
      }
    }, {
      key: "render",
      value: function render() {
        var _this$state = this.state,
            serviceData = _this$state.serviceData,
            loading = _this$state.loading;
        objectName = objectName || 'serviceData';
        var data = {};
        data[objectName] = serviceData;
        return /*#__PURE__*/_react["default"].createElement(WrappedComponent, (0, _extends2["default"])({
          onRefresh: this._onRefresh,
          loading: loading
        }, data, this.props));
      }
    }]);
    return With;
  }(_react["default"].Component);

  With.displayName = (0, _recompose.wrapDisplayName)(WrappedComponent, 'WithServiceData');
  return With;
};

exports.withServiceData = withServiceData;
//# sourceMappingURL=withServiceData.js.map