"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.logoutQuery = exports.queries = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _client = require("@apollo/client");

var _pcmliUmbrella = require("pcmli.umbrella.uni-core");

var _templateObject;

//region documentFragment
var documentFragment = "\n    _id\n    status\n    tenantId\n    driverId\n    profile {\n      name\n      picture\n      email\n    }\n    roles\n    timeZone\n  "; //endregion

var queries = (0, _pcmliUmbrella.buildGraphqlQuery)('User', documentFragment);
exports.queries = queries;
var logoutQuery = (0, _client.gql)(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2["default"])(["\n  mutation logout($accessToken: String!) {\n    logout(accessToken: $accessToken) {\n      _id\n    }\n  }\n"])));
exports.logoutQuery = logoutQuery;
//# sourceMappingURL=graphql.js.map